diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/IntlNumberFormat.cpp webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/IntlNumberFormat.cpp
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/IntlNumberFormat.cpp	2022-02-23 02:58:53.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/IntlNumberFormat.cpp	2022-03-28 15:11:04.214708945 -0500
@@ -1425,47 +393,19 @@ JSObject* IntlNumberFormat::resolvedOpti
     options->putDirect(vm, vm.propertyNames->locale, jsString(vm, m_locale));
     options->putDirect(vm, vm.propertyNames->numberingSystem, jsString(vm, m_numberingSystem));
     options->putDirect(vm, vm.propertyNames->style, jsNontrivialString(vm, styleString(m_style)));
-    switch (m_style) {
-    case Style::Decimal:
-    case Style::Percent:
-        break;
-    case Style::Currency:
+    if (m_style == Style::Currency) {
         options->putDirect(vm, Identifier::fromString(vm, "currency"), jsNontrivialString(vm, m_currency));
         options->putDirect(vm, Identifier::fromString(vm, "currencyDisplay"), jsNontrivialString(vm, currencyDisplayString(m_currencyDisplay)));
-        options->putDirect(vm, Identifier::fromString(vm, "currencySign"), jsNontrivialString(vm, currencySignString(m_currencySign)));
-        break;
-    case Style::Unit:
-        options->putDirect(vm, Identifier::fromString(vm, "unit"), jsNontrivialString(vm, m_unit));
-        options->putDirect(vm, Identifier::fromString(vm, "unitDisplay"), jsNontrivialString(vm, unitDisplayString(m_unitDisplay)));
-        break;
     }
     options->putDirect(vm, vm.propertyNames->minimumIntegerDigits, jsNumber(m_minimumIntegerDigits));
-    switch (m_roundingType) {
-    case IntlRoundingType::FractionDigits:
-        options->putDirect(vm, vm.propertyNames->minimumFractionDigits, jsNumber(m_minimumFractionDigits));
-        options->putDirect(vm, vm.propertyNames->maximumFractionDigits, jsNumber(m_maximumFractionDigits));
-        break;
-    case IntlRoundingType::SignificantDigits:
-        options->putDirect(vm, vm.propertyNames->minimumSignificantDigits, jsNumber(m_minimumSignificantDigits));
-        options->putDirect(vm, vm.propertyNames->maximumSignificantDigits, jsNumber(m_maximumSignificantDigits));
-        break;
-    case IntlRoundingType::MorePrecision:
-    case IntlRoundingType::LessPrecision:
-        options->putDirect(vm, vm.propertyNames->minimumFractionDigits, jsNumber(m_minimumFractionDigits));
-        options->putDirect(vm, vm.propertyNames->maximumFractionDigits, jsNumber(m_maximumFractionDigits));
+    options->putDirect(vm, vm.propertyNames->minimumFractionDigits, jsNumber(m_minimumFractionDigits));
+    options->putDirect(vm, vm.propertyNames->maximumFractionDigits, jsNumber(m_maximumFractionDigits));
+    if (m_minimumSignificantDigits) {
+        ASSERT(m_maximumSignificantDigits);
         options->putDirect(vm, vm.propertyNames->minimumSignificantDigits, jsNumber(m_minimumSignificantDigits));
         options->putDirect(vm, vm.propertyNames->maximumSignificantDigits, jsNumber(m_maximumSignificantDigits));
-        break;
     }
-    options->putDirect(vm, Identifier::fromString(vm, "useGrouping"), useGroupingValue(vm, m_useGrouping));
-    options->putDirect(vm, Identifier::fromString(vm, "notation"), jsNontrivialString(vm, notationString(m_notation)));
-    if (m_notation == IntlNotation::Compact)
-        options->putDirect(vm, Identifier::fromString(vm, "compactDisplay"), jsNontrivialString(vm, compactDisplayString(m_compactDisplay)));
-    options->putDirect(vm, Identifier::fromString(vm, "signDisplay"), jsNontrivialString(vm, signDisplayString(m_signDisplay)));
-    options->putDirect(vm, vm.propertyNames->roundingMode, jsNontrivialString(vm, roundingModeString(m_roundingMode)));
-    options->putDirect(vm, vm.propertyNames->roundingIncrement, jsNumber(m_roundingIncrement));
-    options->putDirect(vm, vm.propertyNames->trailingZeroDisplay, jsNontrivialString(vm, trailingZeroDisplayString(m_trailingZeroDisplay)));
-    options->putDirect(vm, vm.propertyNames->roundingPriority, jsNontrivialString(vm, roundingPriorityString(m_roundingType)));
+    options->putDirect(vm, Identifier::fromString(vm, "useGrouping"), jsBoolean(m_useGrouping));
     return options;
 }
 
@@ -1474,141 +414,112 @@ void IntlNumberFormat::setBoundFormat(VM
     m_boundFormat.set(vm, this, format);
 }
 
-void IntlNumberFormat::formatToPartsInternal(JSGlobalObject* globalObject, Style style, bool sign, IntlMathematicalValue::NumberType numberType, const String& formatted, IntlFieldIterator& iterator, JSArray* parts, JSString* sourceType, JSString* unit)
+static ASCIILiteral partTypeString(UNumberFormatFields field, double value)
+{
+    switch (field) {
+    case UNUM_INTEGER_FIELD:
+        if (std::isnan(value))
+            return "nan"_s;
+        if (!std::isfinite(value))
+            return "infinity"_s;
+        return "integer"_s;
+    case UNUM_FRACTION_FIELD:
+        return "fraction"_s;
+    case UNUM_DECIMAL_SEPARATOR_FIELD:
+        return "decimal"_s;
+    case UNUM_GROUPING_SEPARATOR_FIELD:
+        return "group"_s;
+    case UNUM_CURRENCY_FIELD:
+        return "currency"_s;
+    case UNUM_PERCENT_FIELD:
+        return "percentSign"_s;
+    case UNUM_SIGN_FIELD:
+        return value < 0 ? "minusSign"_s : "plusSign"_s;
+    // These should not show up because there is no way to specify them in NumberFormat options.
+    // If they do, they don't fit well into any of known part types, so consider it an "unknown".
+    case UNUM_PERMILL_FIELD:
+    case UNUM_EXPONENT_SYMBOL_FIELD:
+    case UNUM_EXPONENT_SIGN_FIELD:
+    case UNUM_EXPONENT_FIELD:
+    // Any newer additions to the UNumberFormatFields enum should just be considered an "unknown" part.
+    default:
+        return "unknown"_s;
+    }
+    return "unknown"_s;
+}
+
+#if 0
+void IntlNumberFormat::formatToPartsInternal(JSGlobalObject* globalObject, double value, const String& formatted, UFieldPositionIterator* iterator, JSArray* parts, JSString* unit)
 {
     VM& vm = globalObject->vm();
     auto scope = DECLARE_THROW_SCOPE(vm);
 
     auto stringLength = formatted.length();
 
-    Vector<IntlNumberFormatField> fields;
-
-    while (true) {
-        int32_t beginIndex = 0;
-        int32_t endIndex = 0;
-        UErrorCode status = U_ZERO_ERROR;
-        int32_t fieldType = iterator.next(beginIndex, endIndex, status);
-        if (U_FAILURE(status)) {
-            throwTypeError(globalObject, scope, "Failed to iterate field position iterator"_s);
-            return;
+    int32_t literalFieldType = -1;
+    IntlNumberFormatField literalField { literalFieldType, stringLength };
+    Vector<IntlNumberFormatField, 32> fields(stringLength, literalField);
+    int32_t beginIndex = 0;
+    int32_t endIndex = 0;
+    auto fieldType = ufieldpositer_next(iterator, &beginIndex, &endIndex);
+    while (fieldType >= 0) {
+        size_t size = endIndex - beginIndex;
+        for (auto i = beginIndex; i < endIndex; ++i) {
+            // Only override previous value if new value is more specific.
+            if (fields[i].size >= size)
+                fields[i] = IntlNumberFormatField { fieldType, size };
         }
-        if (fieldType < 0)
-            break;
-
-        fields.append(IntlNumberFormatField { fieldType, { beginIndex, endIndex } });
+        fieldType = ufieldpositer_next(iterator, &beginIndex, &endIndex);
     }
 
-    auto flatten = flattenFields(WTFMove(fields), stringLength);
-
     auto literalString = jsNontrivialString(vm, "literal"_s);
     Identifier unitName;
     if (unit)
         unitName = Identifier::fromString(vm, "unit");
 
-    for (auto& field : flatten) {
-        auto fieldType = field.m_field;
-        auto partType = fieldType == literalField ? literalString : jsString(vm, partTypeString(UNumberFormatFields(fieldType), style, sign, numberType));
-        auto partValue = jsSubstring(vm, formatted, field.m_range.begin(), field.m_range.distance());
+    size_t currentIndex = 0;
+    while (currentIndex < stringLength) {
+        auto startIndex = currentIndex;
+        auto fieldType = fields[currentIndex].type;
+        while (currentIndex < stringLength && fields[currentIndex].type == fieldType)
+            ++currentIndex;
+        auto partType = fieldType == literalFieldType ? literalString : jsString(vm, partTypeString(UNumberFormatFields(fieldType), value));
+        auto partValue = jsSubstring(vm, formatted, startIndex, currentIndex - startIndex);
         JSObject* part = constructEmptyObject(globalObject);
         part->putDirect(vm, vm.propertyNames->type, partType);
         part->putDirect(vm, vm.propertyNames->value, partValue);
         if (unit)
             part->putDirect(vm, unitName, unit);
-        if (sourceType)
-            part->putDirect(vm, vm.propertyNames->source, sourceType);
         parts->push(globalObject, part);
         RETURN_IF_EXCEPTION(scope, void());
     }
 }
 
 // https://tc39.github.io/ecma402/#sec-formatnumbertoparts
-JSValue IntlNumberFormat::formatToParts(JSGlobalObject* globalObject, double value, JSString* sourceType) const
+JSValue IntlNumberFormat::formatToParts(JSGlobalObject* globalObject, double value) const
 {
-    VM& vm = globalObject->vm();
-    auto scope = DECLARE_THROW_SCOPE(vm);
-
-    UErrorCode status = U_ZERO_ERROR;
-    auto fieldItr = std::unique_ptr<UFieldPositionIterator, UFieldPositionIteratorDeleter>(ufieldpositer_open(&status));
-    if (U_FAILURE(status))
-        return throwTypeError(globalObject, scope, "failed to open field position iterator"_s);
-
-    Vector<UChar, 32> result;
-#if HAVE(ICU_U_NUMBER_FORMATTER)
-    ASSERT(m_numberFormatter);
-    auto formattedNumber = std::unique_ptr<UFormattedNumber, ICUDeleter<unumf_closeResult>>(unumf_openResult(&status));
-    if (U_FAILURE(status))
-        return throwTypeError(globalObject, scope, "Failed to format a number."_s);
-    unumf_formatDouble(m_numberFormatter.get(), value, formattedNumber.get(), &status);
-    if (U_FAILURE(status))
-        return throwTypeError(globalObject, scope, "Failed to format a number."_s);
-    status = callBufferProducingFunction(unumf_resultToString, formattedNumber.get(), result);
-    if (U_FAILURE(status))
-        return throwTypeError(globalObject, scope, "Failed to format a number."_s);
-    unumf_resultGetAllFieldPositions(formattedNumber.get(), fieldItr.get(), &status);
-    if (U_FAILURE(status))
-        return throwTypeError(globalObject, scope, "Failed to format a number."_s);
-    IntlFieldIterator iterator(*fieldItr.get());
-#else
     ASSERT(m_numberFormat);
-    status = callBufferProducingFunction(unum_formatDoubleForFields, m_numberFormat.get(), value, result, fieldItr.get());
-    if (U_FAILURE(status))
-        return throwTypeError(globalObject, scope, "failed to format a number."_s);
-    IntlFieldIterator iterator(*fieldItr.get());
-#endif
-
-    auto resultString = String(WTFMove(result));
-
-    JSArray* parts = JSArray::tryCreate(vm, globalObject->arrayStructureForIndexingTypeDuringAllocation(ArrayWithContiguous), 0);
-    if (!parts)
-        return throwOutOfMemoryError(globalObject, scope);
-
-    formatToPartsInternal(globalObject, m_style, std::signbit(value), IntlMathematicalValue::numberTypeFromDouble(value), resultString, iterator, parts, sourceType, nullptr);
-    RETURN_IF_EXCEPTION(scope, { });
-
-    return parts;
-}
 
-#if HAVE(ICU_U_NUMBER_FORMATTER)
-JSValue IntlNumberFormat::formatToParts(JSGlobalObject* globalObject, IntlMathematicalValue&& value, JSString* sourceType) const
-{
     VM& vm = globalObject->vm();
     auto scope = DECLARE_THROW_SCOPE(vm);
 
-    value.ensureNonDouble();
-    const auto& string = value.getString();
-
     UErrorCode status = U_ZERO_ERROR;
     auto fieldItr = std::unique_ptr<UFieldPositionIterator, UFieldPositionIteratorDeleter>(ufieldpositer_open(&status));
     if (U_FAILURE(status))
         return throwTypeError(globalObject, scope, "failed to open field position iterator"_s);
 
     Vector<UChar, 32> result;
-    ASSERT(m_numberFormatter);
-    auto formattedNumber = std::unique_ptr<UFormattedNumber, ICUDeleter<unumf_closeResult>>(unumf_openResult(&status));
-    if (U_FAILURE(status))
-        return throwTypeError(globalObject, scope, "Failed to format a number."_s);
-
-    unumf_formatDecimal(m_numberFormatter.get(), string.data(), string.length(), formattedNumber.get(), &status);
-    if (U_FAILURE(status))
-        return throwTypeError(globalObject, scope, "Failed to format a number."_s);
-
-    status = callBufferProducingFunction(unumf_resultToString, formattedNumber.get(), result);
-    if (U_FAILURE(status))
-        return throwTypeError(globalObject, scope, "Failed to format a number."_s);
-
-    unumf_resultGetAllFieldPositions(formattedNumber.get(), fieldItr.get(), &status);
+    status = callBufferProducingFunction(unum_formatDoubleForFields, m_numberFormat.get(), value, result, fieldItr.get());
     if (U_FAILURE(status))
-        return throwTypeError(globalObject, scope, "Failed to format a number."_s);
-
-    IntlFieldIterator iterator(*fieldItr.get());
+        return throwTypeError(globalObject, scope, "failed to format a number."_s);
 
-    auto resultString = String(WTFMove(result));
+    auto resultString = String(result);
 
     JSArray* parts = JSArray::tryCreate(vm, globalObject->arrayStructureForIndexingTypeDuringAllocation(ArrayWithContiguous), 0);
     if (!parts)
         return throwOutOfMemoryError(globalObject, scope);
 
-    formatToPartsInternal(globalObject, m_style, value.sign(), value.numberType(), resultString, iterator, parts, sourceType, nullptr);
+    formatToPartsInternal(globalObject, value, resultString, fieldItr.get(), parts);
     RETURN_IF_EXCEPTION(scope, { });
 
     return parts;
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/IntlNumberFormat.h webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/IntlNumberFormat.h
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/IntlNumberFormat.h	2022-02-23 02:58:53.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/IntlNumberFormat.h	2022-03-28 15:11:04.214708945 -0500
@@ -28,130 +28,13 @@
 #pragma once
 
 #include "JSObject.h"
-#include "MathCommon.h"
-#include "TemporalObject.h"
 #include <unicode/unum.h>
-#include <wtf/unicode/icu/ICUHelpers.h>
-
-#if !defined(HAVE_ICU_U_NUMBER_FORMATTER)
-// UNUM_COMPACT_FIELD and UNUM_MEASURE_UNIT_FIELD are available after ICU 64.
-#if U_ICU_VERSION_MAJOR_NUM >= 64
-#define HAVE_ICU_U_NUMBER_FORMATTER 1
-#endif
-#endif
-
-#if !defined(HAVE_ICU_U_NUMBER_RANGE_FORMATTER)
-#if U_ICU_VERSION_MAJOR_NUM >= 68
-#define HAVE_ICU_U_NUMBER_RANGE_FORMATTER 1
-#endif
-#endif
-
-#if !defined(HAVE_ICU_U_NUMBER_RANGE_FORMATTER_FORMAT_RANGE_TO_PARTS)
-#if U_ICU_VERSION_MAJOR_NUM >= 69
-#define HAVE_ICU_U_NUMBER_RANGE_FORMATTER_FORMAT_RANGE_TO_PARTS 1
-#endif
-#endif
-
-struct UFormattedValue;
-struct UNumberFormatter;
-struct UNumberRangeFormatter;
 
 namespace JSC {
 
-class IntlFieldIterator;
 class JSBoundFunction;
 enum class RelevantExtensionKey : uint8_t;
 
-enum class IntlRoundingType : uint8_t { FractionDigits, SignificantDigits, MorePrecision, LessPrecision };
-enum class IntlRoundingPriority : uint8_t { Auto, MorePrecision, LessPrecision };
-enum class IntlNotation : uint8_t { Standard, Scientific, Engineering, Compact };
-template<typename IntlType> void setNumberFormatDigitOptions(JSGlobalObject*, IntlType*, JSObject*, unsigned minimumFractionDigitsDefault, unsigned maximumFractionDigitsDefault, IntlNotation);
-template<typename IntlType> void appendNumberFormatDigitOptionsToSkeleton(IntlType*, StringBuilder&);
-
-#if HAVE(ICU_U_NUMBER_FORMATTER)
-struct UNumberFormatterDeleter {
-    JS_EXPORT_PRIVATE void operator()(UNumberFormatter*);
-};
-#endif
-
-#if HAVE(ICU_U_NUMBER_RANGE_FORMATTER)
-struct UNumberRangeFormatterDeleter {
-    JS_EXPORT_PRIVATE void operator()(UNumberRangeFormatter*);
-};
-#endif
-
-class IntlMathematicalValue {
-    WTF_MAKE_FAST_ALLOCATED(IntlMathematicalValue);
-public:
-    enum class NumberType { Integer, Infinity, NaN, };
-    using Value = std::variant<double, CString>;
-
-    IntlMathematicalValue() = default;
-
-    explicit IntlMathematicalValue(double value)
-        : m_numberType(numberTypeFromDouble(value))
-        , m_sign(std::signbit(value))
-        , m_value(value)
-    { }
-
-    explicit IntlMathematicalValue(NumberType numberType, bool sign, CString value)
-        : m_numberType(numberType)
-        , m_sign(sign)
-        , m_value(value)
-    {
-    }
-
-    void ensureNonDouble()
-    {
-        if (std::holds_alternative<double>(m_value)) {
-            switch (m_numberType) {
-            case NumberType::Integer: {
-                double value = std::get<double>(m_value);
-                if (isNegativeZero(value))
-                    m_value = CString("-0");
-                else
-                    m_value = String::number(value).ascii();
-                break;
-            }
-            case NumberType::NaN:
-                m_value = CString("nan");
-                break;
-            case NumberType::Infinity:
-                m_value = CString(m_sign ? "-infinity" : "infinity");
-                break;
-            }
-        }
-    }
-
-    NumberType numberType() const { return m_numberType; }
-    bool sign() const { return m_sign; }
-    std::optional<double> tryGetDouble() const
-    {
-        if (std::holds_alternative<double>(m_value))
-            return std::get<double>(m_value);
-        return std::nullopt;
-    }
-    const CString& getString() const
-    {
-        ASSERT(std::holds_alternative<CString>(m_value));
-        return std::get<CString>(m_value);
-    }
-
-    static NumberType numberTypeFromDouble(double value)
-    {
-        if (std::isnan(value))
-            return NumberType::NaN;
-        if (!std::isfinite(value))
-            return NumberType::Infinity;
-        return NumberType::Integer;
-    }
-
-private:
-    NumberType m_numberType { NumberType::Integer };
-    bool m_sign { false };
-    Value m_value { 0.0 };
-};
-
 class IntlNumberFormat final : public JSNonFinalObject {
 public:
     using Base = JSNonFinalObject;
@@ -176,42 +59,15 @@ public:
 
     void initializeNumberFormat(JSGlobalObject*, JSValue locales, JSValue optionsValue);
     JSValue format(JSGlobalObject*, double) const;
-    JSValue format(JSGlobalObject*, IntlMathematicalValue&&) const;
-    JSValue formatToParts(JSGlobalObject*, double, JSString* sourceType = nullptr) const;
-#if HAVE(ICU_U_NUMBER_FORMATTER)
-    JSValue formatToParts(JSGlobalObject*, IntlMathematicalValue&&, JSString* sourceType = nullptr) const;
-#endif
+    JSValue format(JSGlobalObject*, JSBigInt*) const;
     JSObject* resolvedOptions(JSGlobalObject*) const;
 
-#if HAVE(ICU_U_NUMBER_RANGE_FORMATTER)
-    JSValue formatRange(JSGlobalObject*, double, double) const;
-    JSValue formatRange(JSGlobalObject*, IntlMathematicalValue&&, IntlMathematicalValue&&) const;
-#endif
-
-#if HAVE(ICU_U_NUMBER_RANGE_FORMATTER_FORMAT_RANGE_TO_PARTS)
-    JSValue formatRangeToParts(JSGlobalObject*, double, double) const;
-    JSValue formatRangeToParts(JSGlobalObject*, IntlMathematicalValue&&, IntlMathematicalValue&&) const;
-#endif
-
     JSBoundFunction* boundFormat() const { return m_boundFormat.get(); }
     void setBoundFormat(VM&, JSBoundFunction*);
 
-    enum class Style : uint8_t { Decimal, Percent, Currency, Unit };
-
-    static void formatToPartsInternal(JSGlobalObject*, Style, bool sign, IntlMathematicalValue::NumberType, const String& formatted, IntlFieldIterator&, JSArray*, JSString* sourceType, JSString* unit);
-    static void formatRangeToPartsInternal(JSGlobalObject*, Style, IntlMathematicalValue&&, IntlMathematicalValue&&, const UFormattedValue*, JSArray*);
-
-    template<typename IntlType>
-    friend void setNumberFormatDigitOptions(JSGlobalObject*, IntlType*, JSObject*, unsigned minimumFractionDigitsDefault, unsigned maximumFractionDigitsDefault, IntlNotation);
-    template<typename IntlType>
-    friend void appendNumberFormatDigitOptionsToSkeleton(IntlType*, StringBuilder&);
-
-    static ASCIILiteral notationString(IntlNotation);
 
     static IntlNumberFormat* unwrapForOldFunctions(JSGlobalObject*, JSValue);
 
-    static ASCIILiteral roundingPriorityString(IntlRoundingType);
-
 private:
     IntlNumberFormat(VM&, Structure*);
     void finishCreation(VM&);
@@ -219,55 +75,30 @@ private:
 
     static Vector<String> localeData(const String&, RelevantExtensionKey);
 
-    enum class CurrencyDisplay : uint8_t { Code, Symbol, NarrowSymbol, Name };
-    enum class CurrencySign : uint8_t { Standard, Accounting };
-    enum class UnitDisplay : uint8_t { Short, Narrow, Long };
-    enum class CompactDisplay : uint8_t { Short, Long };
-    enum class SignDisplay : uint8_t { Auto, Never, Always, ExceptZero, Negative };
-    enum class TrailingZeroDisplay : uint8_t { Auto, StripIfInteger };
-    enum class UseGrouping : uint8_t { False, Min2, Auto, Always };
+    enum class Style : uint8_t { Decimal, Percent, Currency };
+    enum class CurrencyDisplay : uint8_t { Code, Symbol, Name };
+
+    struct UNumberFormatDeleter {
+        void operator()(UNumberFormat*) const;
+    };
 
     static ASCIILiteral styleString(Style);
     static ASCIILiteral currencyDisplayString(CurrencyDisplay);
-    static ASCIILiteral currencySignString(CurrencySign);
-    static ASCIILiteral unitDisplayString(UnitDisplay);
-    static ASCIILiteral compactDisplayString(CompactDisplay);
-    static ASCIILiteral signDisplayString(SignDisplay);
-    static ASCIILiteral roundingModeString(RoundingMode);
-    static ASCIILiteral trailingZeroDisplayString(TrailingZeroDisplay);
-    static JSValue useGroupingValue(VM&, UseGrouping);
 
     WriteBarrier<JSBoundFunction> m_boundFormat;
-#if HAVE(ICU_U_NUMBER_FORMATTER)
-    std::unique_ptr<UNumberFormatter, UNumberFormatterDeleter> m_numberFormatter;
-#if HAVE(ICU_U_NUMBER_RANGE_FORMATTER)
-    std::unique_ptr<UNumberRangeFormatter, UNumberRangeFormatterDeleter> m_numberRangeFormatter;
-#endif
-#else
-    std::unique_ptr<UNumberFormat, ICUDeleter<unum_close>> m_numberFormat;
-#endif
+    std::unique_ptr<UNumberFormat, UNumberFormatDeleter> m_numberFormat;
 
     String m_locale;
     String m_numberingSystem;
     String m_currency;
-    String m_unit;
     unsigned m_minimumIntegerDigits { 1 };
     unsigned m_minimumFractionDigits { 0 };
     unsigned m_maximumFractionDigits { 3 };
     unsigned m_minimumSignificantDigits { 0 };
     unsigned m_maximumSignificantDigits { 0 };
-    unsigned m_roundingIncrement { 1 };
     Style m_style { Style::Decimal };
     CurrencyDisplay m_currencyDisplay;
-    CurrencySign m_currencySign;
-    UnitDisplay m_unitDisplay;
-    CompactDisplay m_compactDisplay;
-    IntlNotation m_notation { IntlNotation::Standard };
-    SignDisplay m_signDisplay;
-    TrailingZeroDisplay m_trailingZeroDisplay { TrailingZeroDisplay::Auto };
-    UseGrouping m_useGrouping { UseGrouping::Always };
-    RoundingMode m_roundingMode { RoundingMode::HalfExpand };
-    IntlRoundingType m_roundingType { IntlRoundingType::FractionDigits };
+    bool m_useGrouping { true };
 };
 
 } // namespace JSC
